#
# Conditiional build:
%bcond_without	systemd		# enable systemd support by default (when systemd is not running fallback to ConsoleKit)
#
Summary:	Session support tools for the GNOME GUI desktop environment
Summary(pl.UTF-8):	Programy obsługujęce sesję dla środowiska graficznego GNOME
Name:		gnome-session
Version:	3.14.0
Release:	1
Epoch:		1
License:	LGPL
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-session/3.14/%{name}-%{version}.tar.xz
# Source0-md5:	ca05c48f7dfe6ddd78ac0a6bffb9592a
Source1:	%{name}-gnome.desktop
Source2:	polkit-gnome-authentication-agent-1.desktop
URL:		http://www.gnome.org/
BuildRequires:	GConf2-devel
BuildRequires:	Mesa-libGL-devel
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.11
BuildRequires:	dbus-glib-devel >= 0.76
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.35.0
BuildRequires:	gnome-common >= 2.24.0
BuildRequires:	gnome-desktop-devel >= 3.10.0
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	intltool >= 0.40.6
BuildRequires:	json-glib-devel >= 0.10
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	libxslt-progs
BuildRequires:	perl-base
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	polkit-devel
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	sed >= 4.0
%{?with_systemd:BuildRequires:	systemd-devel >= 183}
BuildRequires:	xmlto
BuildRequires:	xorg-lib-libICE-devel
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libXau-devel
BuildRequires:	xorg-lib-libXcomposite-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXrender-devel
BuildRequires:	xorg-lib-libXtst-devel
BuildRequires:	xorg-lib-xtrans-devel
Requires(post,postun):	glib2 >= 1:2.35.0
Requires:	dbus-x11
Requires:	gnome-control-center >= 1:3.4.0
Requires:	gnome-desktop >= 3.10.0
Requires:	gnome-wm
Requires:	gsettings-desktop-schemas >= 3.4.0
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Requires:	polkit-gnome >= 0.101
# needs notification-daemon in fallback mode to function
Requires:	dbus(org.freedesktop.Notifications)
# sr@Latn vs. sr@latin
Obsoletes:	gnome-splash-gnome < 1:2.32.0
Conflicts:	glibc-misc < 6:2.7
Conflicts:	polkit-gnome < 0.101
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
applications and desktop tools to be used in conjunction with a window
manager for the X Window System. GNOME is similar in purpose and scope
to CDE and KDE, but GNOME is based completely on free software.

GNOME session provides the session tools for the the GNOME desktop.

%description -l pl.UTF-8
GNOME (GNU Network Object Model Environment) to zestaw przyjaznych dla
użytkownika aplikacji i narzędzi do używania w połączeniu z zarządcą
okien pod X. GNOME ma podobny cel jak CDE i KDE, ale bazuje całkowicie
na wolnym oprogramowaniu.

Pakiet gnome-session zawiera narzędzia do obsługi sesji dla środowiska
graficznego GNOME.

%prep
%setup -q

mv ChangeLog main-ChangeLog
find . -name ChangeLog |awk '{src=$0; dst=$0;sub("^./","",dst);gsub("/","-",dst); print "cp " src " " dst}'|sh

%build
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-ipv6 \
	%{__enable_disable systemd systemd} \
	--disable-silent-rules \
	X_EXTRA_LIBS="-lXext" \
	--disable-gconf

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart
install -d $RPM_BUILD_ROOT%{_datadir}/gnome/autostart
install -d $RPM_BUILD_ROOT%{_datadir}/gnome/default-session
install -d $RPM_BUILD_ROOT%{_datadir}/gnome/shutdown

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_datadir}/xsessions
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/xsessions/gnome.desktop
sed -e 's,@LIBDIR@,%{_libdir},' %{SOURCE2} > $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart/polkit-gnome-authentication-agent-1.desktop

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%glib_compile_schemas
%update_icon_cache hicolor

%postun
if [ "$1" = "0" ]; then
	/sbin/ldconfig
	%update_icon_cache hicolor
	%glib_compile_schemas
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS *ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/gnome-session
%attr(755,root,root) %{_bindir}/gnome-session-inhibit
%attr(755,root,root) %{_bindir}/gnome-session-quit
%attr(755,root,root) %{_libdir}/gnome-session-check-accelerated
%attr(755,root,root) %{_libdir}/gnome-session-check-accelerated-helper
%attr(755,root,root) %{_libdir}/gnome-session-failed
%{_sysconfdir}/xdg/autostart/polkit-gnome-authentication-agent-1.desktop
%{_datadir}/GConf/gsettings/gnome-session.convert
%{_datadir}/glib-2.0/schemas/org.gnome.SessionManager.gschema.xml
%dir %{_datadir}/gnome/autostart
%dir %{_datadir}/gnome/default-session
%dir %{_datadir}/gnome/shutdown
%dir %{_datadir}/gnome-session
%dir %{_datadir}/gnome-session/sessions
%{_datadir}/gnome-session/hardware-compatibility
%{_datadir}/gnome-session/session-properties.ui
%{_datadir}/gnome-session/sessions/gnome.session
%{_datadir}/gnome-session/sessions/gnome-dummy.session
%{_datadir}/gnome-session/sessions/gnome-wayland.session
%{_datadir}/wayland-sessions/gnome-wayland.desktop
%{_datadir}/xsessions/gnome.desktop
%{_mandir}/man[15]/*
%{_iconsdir}/hicolor/*/*/session-properties.*
%changelog
* Sat Oct 25 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-session.git;a=log;h=master

* Wed Oct 01 2014 Marcin Banasiak <marcin.banasiak@gmail.com> b99e76e
- Update to 3.14.0

* Tue Apr 15 2014 Marcin Banasiak <marcin.banasiak@gmail.com> cfb6882
- Update to 3.12.1

* Thu Mar 27 2014 Łukasz Kieś <kiesiu@pld-linux.org> 5564954
- updated to 3.12.0

* Sat Oct 19 2013 Łukasz Kieś <kiesiu@pld-linux.org> e553a12
- updated to 3.10.1

* Sun Sep 29 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 420a445
- gnome-screensaver is no longer required. Its functionality is now
provided by gnome-shell

* Sat Sep 28 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 17af334
- Update to 3.10.0

* Thu Aug 01 2013 Marcin Banasiak <marcin.banasiak@gmail.com> b5f8831
- Update to 3.8.4

* Sun May 19 2013 Łukasz Kieś <kiesiu@pld-linux.org> 3f57bef
- updated to 3.8.2.1

* Sat May 18 2013 Łukasz Kieś <kiesiu@pld-linux.org> 55a36f6
- updated to 3.8.2

* Sun Apr 21 2013 Łukasz Kieś <kiesiu@pld-linux.org> f105451
- updated to 3.8.1

* Wed Mar 27 2013 Łukasz Kieś <kiesiu@pld-linux.org> d9da375
- updated to 3.8.0

* Sun Nov 18 2012 Łukasz Kieś <kiesiu@pld-linux.org> 4b87399
- updated to 3.6.2

* Wed Oct 17 2012 Łukasz Kieś <kiesiu@pld-linux.org> f6260f2
- updated to 3.6.1

* Tue Sep 25 2012 Łukasz Kieś <kiesiu@pld-linux.org> 4a6550f
- updated to 3.6.0

* Sun May 27 2012 Marcin Banasiak <marcin.banasiak@gmail.com> f8ac1bc
- updated to 3.4.2.1

* Tue May 15 2012 Łukasz Kieś <kiesiu@pld-linux.org> ed12ca9
- updated to 3.4.2

* Mon Apr 16 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 0e688cc
- updated to 3.4.1

* Sat Mar 31 2012 Elan Ruusamäe <glen@pld-linux.org> ea0ee0b
- mention that fallback note in bcond desc

* Fri Mar 30 2012 Artur Frysiak <artur@frysiak.net> 519be1b
- enable systemd support for default (when systemd is not running fallback to ConsoleKit)
- rel. 2

* Tue Mar 27 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 844361f
- updated to 3.4.0; merged changes from DEVEL
- added systemd bcond (off by default)

